This forum is no longer active. Please post your questions to our new community site

Beta 5 windows XP install error

Subscribe to Beta 5 windows XP install error 7 post(s), 4 voice(s)

 
Avatar grmarks 3 post(s)

Latest beta 5 for windows (production install) does not install a php dirctory and reports that it can’t find php during the config stage of the install then exits.
I have xampp php installed already – could this affect it ?

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi grmarks,

The production mode does not contain php or phpmyadmin, only configure Apache as a proxy balancer to can use with a mongrel cluster. When the error shows exactly? xampp stack shouldn’t affect to BitNami RubyStack. Can you please provide us the installation log? It is located by default at:

C:\Documents and Settings\your-user-name\Local Settings\Temp\bitrock_installer_*.log

you can mail it to beltran@bitnami.com

Thanks.

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Thanks grmarks,

We can reproduce this error and we are working to fix it. We will release a new version as soon as possible. Thanks.

 
Avatar Manuel 71 post(s)

Hi grmarks,

Beta-6 has just been released with a fix.

Thank you for reporting the bug.

 
Avatar grmarks 3 post(s)

Thanks Beltran for the fast response

 
Avatar Subash Manickam 4 post(s)

Hi Manuel, I am really happy to see quick fixes. Now my machine has Rubystack Beta -5, how can I upgrade my ruby stack to Beta-6. ie) Without downloading the entire package(~=76 MB), how can we upgrade our Ruby stack?

Thanks

Subash

 
Avatar Beltrán Rueda Administrator 3,714 post(s)

Hi Subash,

The only difference beta-6 about beta-5 is a fix during the “production mode” installation on Windows. It is not necessary to upgrade to this version. If you want to update any ruby gem you can update directly typing into the rubyconsole:

gem update

When we upgrade any compiled software as PHP, Apache, ImageMagick, etc. you will have to download a new installer and the size will be similar. In addition to this, we are considering to create upgrade installers in the future.

Cheers.